Subject: bug#6364: [PATCH] Use GetCharABCWidthsFloatW if GetGlyphOutlineW fails.

From: Tom Seddon <[email-masked]>
Date: Tue, 26 Nov 2013 20:30:38 +0000

On 26 Nov 2013, at 20:20, Eli Zaretskii <[email-masked]> wrote:

>> I couldn't find a good list when I was writing the code so I just went by DUMPBIN /EXPORTS and spotted it as export #158. (Don't ask me why I've got any copies at all on my Windows 7 PC! - I expect some program installed it just in case.)
> 
> The export exists, but the function is a stub, not a real
> implementation, AFAIK.

>> I've found an official (if outdated-looking) list now. So if GetCharABCWidthsFloatW ends up your only objection, I'll update the code to use a function from the official list. 
> 
> Sorry, I don't understand what you mean.  Which official list did you
> find, and what does it say about this?

This list: http://msdn.microsoft.com/en-us/library/ms812845.aspx - it looks to be an outdated MSDN contents page, or something very much like, so I assume it's at lesat fairly authoritative. (I got the link here, which I found via google: http://microsoft.public.platformsdk.mslayerforunicode.narkive.com/QbsrNDDh/list-of-functions-handled-by-mslu)

And under G, GetCharABCWidthsFloat is indeed missing.

I suspect the page is a bit outdated, because some of the links are broken. (And also, of course, because it deal with Windows '9x...)

Thanks,

--Tom